> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orova.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Importer un numéro de téléphone (BYOT)

> Importer un numéro de téléphone Twilio existant

## Requête

```bash theme={null}
curl -X POST https://app.orova.ai/api/phone-numbers/import \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "phoneNumber": "+1234567890",
    "twilioAccountSid": "AC...",
    "twilioAuthToken": "...",
    "workspaceId": "WORKSPACE_ID"
  }'
```

## Paramètres

| Champ              | Type   | Requis | Description                     |
| ------------------ | ------ | ------ | ------------------------------- |
| `phoneNumber`      | string | Oui    | Numéro Twilio à importer        |
| `twilioAccountSid` | string | Oui    | SID du compte Twilio            |
| `twilioAuthToken`  | string | Oui    | Jeton d'authentification Twilio |
| `workspaceId`      | string | Oui    | ID de l'espace de travail       |

## Réponse

```json theme={null}
{
  "_id": "phone_id",
  "number": "+1234567890",
  "status": "active",
  "type": "byot",
  "workspaceId": "WORKSPACE_ID"
}
```

<Info>
  L'importation d'un numéro configure automatiquement les URL de webhook Twilio pour qu'elles pointent vers votre instance Orova.
</Info>
